# 건물

## 건물 검색 (도면 포함)

> 도면이 등록된 건물 목록을 검색합니다.\
> \
> \### 사용처\
> \- 키워드 기반 건물 검색\
> \- 지도 영역(bounding box) 기반 건물 조회\
> \- 면적, 침실/욕실 수 필터링\
> \
> \### 페이지네이션\
> \- offset 기반 페이징 (0부터 시작)\
> \- limit: 페이지 크기 (최소 1, 최대 200)\
> \- 응답의 hasNext로 다음 페이지 존재 여부 확인\
> \
> \### 필터 조건\
> \- keyword: 주소명 / 도로명 / 건물명 / 사용자 설정 건물 별칭 검색\
> \- bottomRightLat, bottomRightLon, topLeftLat, topLeftLon: 지도 영역 필터 (4개 모두 입력하거나 모두 생략)\
> \- minArea, maxArea: 도면 면적 범위 필터 (㎡)\
> \- bedrooms: 침실 수 필터\
> \- bathrooms: 욕실 수 필터\
> \- sort: 정렬 기준 (ID\_DESC, ID\_ASC, UPDATED\_ASC, UPDATED\_DESC 등)

```json
{"openapi":"3.1.0","info":{"title":"Open API","version":"snapshot"},"tags":[{"name":"건물"}],"servers":[{"url":"https://openapi.archisketch.com"}],"security":[{"open-api-key":[]}],"components":{"securitySchemes":{"open-api-key":{"type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"ApiResponsePageResponseBuildingResponse":{"type":"object","properties":{"result":{"type":"string","description":"응답 결과 타입","enum":["SUCCESS","FAIL"]},"data":{"$ref":"#/components/schemas/PageResponseBuildingResponse","description":"응답 데이터"},"error":{"$ref":"#/components/schemas/ErrorMessage","description":"에러 응답, result FAIL 시 제공"}},"required":["result"]},"PageResponseBuildingResponse":{"type":"object","properties":{"content":{"type":"array","description":"콘텐츠 목록","items":{"$ref":"#/components/schemas/BuildingResponse"}},"hasNext":{"type":"boolean","description":"다음 페이지 존재 여부"},"totalCount":{"type":"integer","format":"int64","description":"전체 개수"}},"required":["content","hasNext","totalCount"]},"BuildingResponse":{"type":"object","properties":{"id":{"type":"string","description":"건물 ID"},"enterpriseId":{"type":"string","description":"기업 ID"},"userId":{"type":"string","description":"사용자 ID"},"access":{"type":"string","description":"접근 유형"},"lat":{"type":"number","format":"double","description":"위도"},"lng":{"type":"number","format":"double","description":"경도"},"floorplanDetails":{"type":"array","description":"도면 상세 목록","items":{"$ref":"#/components/schemas/BuildingFloorplanDetail"}},"address":{"$ref":"#/components/schemas/BuildingAddress","description":"주소"},"createdAt":{"type":"string","format":"date-time","description":"생성일시"},"updatedAt":{"type":"string","format":"date-time","description":"수정일시"}},"required":["access","address","createdAt","floorplanDetails","id","lat","lng","updatedAt"]},"BuildingFloorplanDetail":{"type":"object","properties":{"id":{"type":"string","description":"도면 ID"},"mapFloorplanId":{"type":"string","description":"맵 도면 ID"},"preview":{"type":"string","description":"미리보기 이미지 URL"},"status":{"type":"string","description":"도면 상태","enum":["CREATED","WORKING","TESTING","COMPLETED","FAILED"]},"areaInfo":{"$ref":"#/components/schemas/BuildingAreaInfo","description":"면적 정보"},"assign":{"$ref":"#/components/schemas/BuildingAssign","description":"담당자 정보"},"mapFloorplanRoomDetail":{"$ref":"#/components/schemas/MapFloorplanDetailRoomResponse","description":"맵 도면 방 상세"},"createdAt":{"type":"string","format":"date-time","description":"생성일시"},"updatedAt":{"type":"string","format":"date-time","description":"수정일시"}},"required":["areaInfo","assign","createdAt","id","mapFloorplanId","status","updatedAt"]},"BuildingAreaInfo":{"type":"object","properties":{"areaType":{"type":"string","description":"면적 유형"},"area":{"type":"string","description":"면적"},"supplyArea":{"type":"number","format":"double","description":"공급 면적 (㎡)"},"exclusiveArea":{"type":"number","format":"double","description":"전용 면적 (㎡)"}},"required":["area","areaType","exclusiveArea","supplyArea"]},"BuildingAssign":{"type":"object","properties":{"userId":{"type":"string","description":"담당자 사용자 ID"},"email":{"type":"string","description":"담당자 이메일"}}},"MapFloorplanDetailRoomResponse":{"type":"object","properties":{"area":{"type":"number","format":"double","description":"면적 (㎡)"},"roomCounts":{"$ref":"#/components/schemas/BuildingRoomCounts","description":"방 개수 정보"}},"required":["roomCounts"]},"BuildingRoomCounts":{"type":"object","properties":{"bedrooms":{"type":"integer","format":"int32","description":"침실 수"},"bathrooms":{"type":"integer","format":"int32","description":"욕실 수"}},"required":["bathrooms","bedrooms"]},"BuildingAddress":{"type":"object","properties":{"numberAddress":{"type":"string","description":"지번 주소"},"roadAddress":{"type":"string","description":"도로명 주소"},"buildingCode":{"type":"string","description":"건물 코드"},"buildingName":{"type":"string","description":"건물명"},"buildingAliases":{"type":"array","description":"건물 별칭 목록","items":{"type":"string"}}},"required":["buildingAliases"]},"ErrorMessage":{"type":"object","properties":{"errorCode":{"type":"string","description":"에러 코드","enum":["INTERNAL_ERROR","BAD_REQUEST","NOT_FOUND","CONFLICT","FORBIDDEN"]},"message":{"type":"string","description":"에러 메시지"}}}}},"paths":{"/api/v1/building":{"get":{"tags":["건물"],"summary":"건물 검색 (도면 포함)","description":"도면이 등록된 건물 목록을 검색합니다.\n\n### 사용처\n- 키워드 기반 건물 검색\n- 지도 영역(bounding box) 기반 건물 조회\n- 면적, 침실/욕실 수 필터링\n\n### 페이지네이션\n- offset 기반 페이징 (0부터 시작)\n- limit: 페이지 크기 (최소 1, 최대 200)\n- 응답의 hasNext로 다음 페이지 존재 여부 확인\n\n### 필터 조건\n- keyword: 주소명 / 도로명 / 건물명 / 사용자 설정 건물 별칭 검색\n- bottomRightLat, bottomRightLon, topLeftLat, topLeftLon: 지도 영역 필터 (4개 모두 입력하거나 모두 생략)\n- minArea, maxArea: 도면 면적 범위 필터 (㎡)\n- bedrooms: 침실 수 필터\n- bathrooms: 욕실 수 필터\n- sort: 정렬 기준 (ID_DESC, ID_ASC, UPDATED_ASC, UPDATED_DESC 등)","operationId":"searchBuildings","parameters":[{"name":"offset","in":"query","description":"페이지 번호 (0부터 시작, offset 페이징)","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","description":"페이지 크기 (최소: 1, 최대: 200)","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"sortType","in":"query","description":"정렬 기준","required":false,"schema":{"type":"string","default":"ID_DESC","description":"정렬 타입","enum":["ID_DESC","ID_ASC","NAME_ASC","NAME_DESC","UPDATED_ASC","UPDATED_DESC"]}},{"name":"keyword","in":"query","description":"검색어 (주소명 / 도로명 / 건물명 / 건물 별칭)","required":false,"schema":{"type":"string"}},{"name":"bottomRightLat","in":"query","description":"우하단 위도 (bounding box)","required":false,"schema":{"type":"number","format":"double"}},{"name":"bottomRightLon","in":"query","description":"우하단 경도 (bounding box)","required":false,"schema":{"type":"number","format":"double"}},{"name":"topLeftLat","in":"query","description":"좌상단 위도 (bounding box)","required":false,"schema":{"type":"number","format":"double"}},{"name":"topLeftLon","in":"query","description":"좌상단 경도 (bounding box)","required":false,"schema":{"type":"number","format":"double"}},{"name":"minArea","in":"query","description":"최소 면적 (㎡)","required":false,"schema":{"type":"number","format":"double"}},{"name":"maxArea","in":"query","description":"최대 면적 (㎡)","required":false,"schema":{"type":"number","format":"double"}},{"name":"bedrooms","in":"query","description":"침실 수","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"bathrooms","in":"query","description":"욕실 수","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponsePageResponseBuildingResponse"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.archisketch.com/dev/api-3/undefined-6.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
